<?php
/*
Plugin Name: Web Counter
Plugin URI: http://flatpress.info
Description:  Web Counter program
Version: 0.5
Author: Flatpres.info
Author URI: http://flatpress.info
*/

function plugin_webcounter_css() {
	$h=plugin_geturl('webcounter').'res/css/webcounter.css';
	echo '<link rel="stylesheet" type="text/css" href="'.$h."\" />\n";
}
add_action('wp_head', 'plugin_webcounter_css'); 

function plugin_webcounter_widget() {
	$lang = lang_load('plugin:webcounter');
	$widget = array();
	$widget['subject'] = $lang['plugin']['webcounter']['subject'];
	include 'webcounter.php';
	return $widget;
}
register_widget('webcounter', 'webcounter', 'plugin_webcounter_widget');

if (class_exists('AdminPanelAction')){
	class admin_plugin_webcounter extends AdminPanelAction {
		function setup() {
			$this->smarty->assign('admin_resource', "plugin:webcounter/admin.plugin.webcounter");
			$bc_config = plugin_getoptions('webcounter');
			if(!$bc_config['pageid']) {
                        	$pageid = "Set pageID";
                        	plugin_addoption('webcounter', 'pageid', $pageid);
                        	plugin_saveoptions('webcounter');
			}
		}
		function main() {
			$bc_config = plugin_getoptions('webcounter');
			$this->smarty->assign('bc_config', $bc_config);
		}
		function onsubmit() {
			if ($_POST['bc-pageid']){
				$pageid = $_POST['bc-pageid'];
				plugin_addoption('webcounter', 'pageid', $pageid);
				plugin_saveoptions('webcounter');
				$this->smarty->assign('success', 1);
			} else {
			 	$this->smarty->assign('success', -1);
			}
			return 2;
		}
	}
	admin_addpanelaction('plugin', 'webcounter', true);
}
?>
